# This file was auto-generated by ZETUP
#
# Zimmermann's Extensible Tools for Unified Project setups
#
# https://github.com/zimmermanncode/zetup


from __future__ import absolute_import

import sys
import os
from collections import OrderedDict

from zetup.version import Version
from zetup.dist import Distribution
from zetup.requires import Requirements
from zetup.extras import Extras
from zetup.package import Packages, Package
from zetup.notebook import Notebook



zfg = sys.modules[__name__]

NAME = 'zetup'

KEYWORDS = ['zetup', 'project', 'tools', 'config', 'ini', 'setup', 'requirements', 'extras', 'packages', 'package', 'toplevel', 'object', 'meta', 'subprocess', 'process', 'popen', 'call', 'python3', 'python3']

PYTHON = ['2.7', '3.3', '3.4', '3.5']

MODULES = []

LICENSE = 'LGPLv3'

SETUP_HOOKS = []

FORCE_MAKE = True

DISTRIBUTION = Distribution(zfg)

SCRIPTS = {'zetup': 'zetup.script:run'}

URL = 'https://bitbucket.org/userzimmermann/zetup.py'

PACKAGES = Packages([

Package('zetup',
  sources=[
    'annotate.py',
    'classpackage.py',
    'conda.py',
    'config.py',
    'dist.py',
    'error.py',
    'extras.py',
    'modules.py',
    'object.py',
    'package.py',
    'requires.py',
    'script.py',
    'test_classpackage.py',
    'version.py',
    'zetup.py',
    '__init__.py',
    '__main__.py'
    ],
  subpackages=[
    
Package('zetup.commands',
  sources=[
    'command.py',
    'conda.py',
    'del_.py',
    'dev.py',
    'error.py',
    'pytest.py',
    'run.py',
    'test.py',
    'tox.py',
    '__init__.py'
    ],
  subpackages=[
    
Package('zetup.commands.make',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )
,
    
Package('zetup.doc',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.notebook',
  sources=[
    'jinja.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.process',
  sources=[
    'scons.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )

  ], root=os.path.dirname(os.path.dirname(os.path.realpath(__file__))))

SETUP_KEYWORDS = {'use_zetup': 'zetup:setup_entry_point'}

NO_MAKE = ['setup.py', 'tox.ini']

CLASSIFIERS = ['Development Status :: 3 - Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)', 'Operating System :: OS Independent', 'Topic :: Software Development', 'Topic :: Utilities', 'Programming Language :: Python', 'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 3.3', 'Programming Language :: Python :: 3.4', 'Programming Language :: Python :: 3.5']

TEST_COMMANDS = ['py.test -v test']

AUTHOR = 'Stefan Zimmermann'

EXTRAS = Extras([
('commands', Requirements("""
path.py >= 8.0 #import path
jinjatools >= 0.1.6

""")),
('notebook', Requirements("""
path.py >= 8.0 #import path
ipython >= 4.0 #import IPython
nbconvert >= 4.0

""")),
('pytest', Requirements("""
pytest

"""))
], zfg=zfg)

TITLE = 'zetup'

EMAIL = 'zimmermann.code@gmail.com'

VERSION = Version('0.2.32')

KEEP_MADE = []

SETUP_REQUIRES = None

DESCRIPTION = "Zimmermann's Extensible Tools for Unified Project setups"

REQUIRES = Requirements("""
# setuptools
setuptools_scm >= 1.15

""", zfg=zfg)